For the complete documentation index, see llms.txt. This page is also available as Markdown.

Finance Booking

Manage finance booking runs in VARIO Cloud via API, including ledger assignments, validation, commits, reversals and booking record checks.

the FinanceAccount API

post
Path parameters
idinteger · int64Required

id of booking run

recordIdinteger · int64Required

id of booking record

Body
ledgerstringOptional

neues Konto

transactionKeystringOptional

neuer Buchungsschlüssel

descriptionstringOptional

Buchungstext

costCenter1stringOptional

Kostenstelle 1

Responses
200

OK

*/*
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

recordNumberinteger · int64Optional

Eintragsnummer

recordTypestring · enumOptional

Soll/Haben-Kennzeichen

Possible values:
ledgerstringOptional

Konto

transactionKeystringOptional

Buchungsschlüssel

ledgerTypestring · enumOptional

Konto-Kennzeichen

Possible values:
amountGrossnumberOptional

Bruttobetrag

amountNetnumberOptional

Nettobetrag

recordDatestring · dateOptional

Buchungsdatum

performanceDatestring · dateOptional

Leistungsdatum

documentField1stringOptional

Belegfeld 1

documentField2stringOptional

Belegfeld 2

descriptionstringOptional

Buchungstext

costCenter1stringOptional

Kostenstelle 1

debugInfostringOptional

Debug Info

taxStatestring · enumOptional

Steuerart

Possible values:
taxPerformanceLocationstring · enumOptional

Leistungsort

Possible values:
sourceCountryCodestringOptional

von Land

performanceCountryCodestringOptional

an Land

currencyCodestringOptional

Währung

exchangeRatenumberOptional

Währungskurs

baseCurrencyCodestringOptional

Basiswährung

baseAmountGrossnumberOptional

Bruttobetrag in Basiswährung

baseAmountNetnumberOptional

Nettobetrag in Basiswährung

taxIdentificationNumberstringOptional

Umsatzsteuer-Ident-Nummer

bookingStatestring · enumOptional

Buchungsstatus

Possible values:
taxLiabilityReversedStatestring · enumOptional

§13b-Status

Possible values:
sourceTaxRatenumberOptional

Steuerprozentsatz Ursprung

performanceTaxRatenumberOptional

Steuerprozentsatz Bestimmung

accountingTypestring · enumOptional

Journaltyp

Possible values:
accountingRefIdinteger · int64Optional

Buchungs-Referenz

post/erp/finance/booking/{id}/set-ledger-assignment/{recordId}
POST /erp/finance/booking/{id}/set-ledger-assignment/{recordId} HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 83

{
  "ledger": "text",
  "transactionKey": "text",
  "description": "text",
  "costCenter1": "text"
}
200

OK

{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "recordNumber": 1,
  "recordType": "DEBIT",
  "ledger": "text",
  "transactionKey": "text",
  "ledgerType": "PERSONAL_LEDGER",
  "amountGross": 1,
  "amountNet": 1,
  "recordDate": "2026-01-01",
  "performanceDate": "2026-01-01",
  "documentField1": "text",
  "documentField2": "text",
  "description": "text",
  "costCenter1": "text",
  "comment": [],
  "debugInfo": "text",
  "taxState": "TAX_FREE",
  "taxPerformanceLocation": "DOMESTIC",
  "sourceCountryCode": "text",
  "performanceCountryCode": "text",
  "currencyCode": "text",
  "exchangeRate": 1,
  "baseCurrencyCode": "text",
  "baseAmountGross": 1,
  "baseAmountNet": 1,
  "taxRateRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "taxIdentificationNumber": "text",
  "paymentMethodRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "bookingState": "OK",
  "taxLiabilityReversedState": "IGNORE",
  "sourceTaxRate": 1,
  "performanceTaxRate": 1,
  "accountingType": "SALES_INVOICE",
  "accountingRefId": 1,
  "accountingRef1": {
    "id": 1,
    "type": "DOCUMENT",
    "label": "text"
  },
  "accountingRef2": {
    "id": 1,
    "type": "DOCUMENT",
    "label": "text"
  },
  "accountingRef3": {
    "id": 1,
    "type": "DOCUMENT",
    "label": "text"
  }
}
post
Path parameters
idinteger · int64Required

id of booking run

Responses
200

OK

*/*
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

runStatestring · enumRead-onlyOptional

Verarbeitungsstatus

Possible values:
dateFromstring · dateRead-onlyOptional

Request date from

dateTostring · dateRead-onlyOptional

Request date to

post/erp/finance/booking/{id}/revert
POST /erp/finance/booking/{id}/revert HTTP/1.1
Host: api.example.com
Accept: */*
200

OK

{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "runState": "PROCESSING",
  "dateFrom": "2026-01-01",
  "dateTo": "2026-01-01",
  "files": [],
  "persons": [],
  "stateSummary": [],
  "exportTypes": [
    "SALES_DOCUMENTS"
  ],
  "bankAccountRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "salesChannelRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "financeBookingBackendRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  }
}
post
Path parameters
idinteger · int64Required

id of booking run

Body
ledgerstringOptional

neues Konto

transactionKeystringOptional

neuer Buchungsschlüssel

descriptionstringOptional

Buchungstext

costCenter1stringOptional

Kostenstelle 1

createLedgerAssignmentbooleanOptional

Regel für Kontenzuordnung anlegen für diese Kombination

Responses
200

OK

*/*
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

runStatestring · enumRead-onlyOptional

Verarbeitungsstatus

Possible values:
dateFromstring · dateRead-onlyOptional

Request date from

dateTostring · dateRead-onlyOptional

Request date to

post/erp/finance/booking/{id}/create-missing-ledger-assignments
POST /erp/finance/booking/{id}/create-missing-ledger-assignments HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 880

{
  "ledger": "text",
  "transactionKey": "text",
  "description": "text",
  "costCenter1": "text",
  "ledgerAssignment": {
    "version": "text",
    "info": {},
    "id": "text",
    "assignmentType": "SALES_POSITION_LEDGER",
    "productGroup": {
      "id": "text"
    },
    "article": {
      "id": "text"
    },
    "validFrom": "2026-01-01",
    "validUntil": "2026-01-01",
    "taxRate": 1,
    "taxState": "TAX_FREE",
    "taxPerformanceLocation": "DOMESTIC",
    "sourceCountry": "text",
    "performanceCountry": "text",
    "accountNumber": "text",
    "transactionKey": "text",
    "comment": "text",
    "costCenter1": "text",
    "taxLiabilityReversedState": "IGNORE",
    "manualClosureOrigin": "IGNORE",
    "bookingAccountType": "CUSTOMER",
    "bankAccountRef": {
      "id": "text"
    },
    "salesChannelRef": {
      "id": "text"
    },
    "posRegisterRef": {
      "id": "text"
    },
    "posPaymentMethodRef": {
      "id": "text"
    },
    "posDepositExpenseTypeRef": {
      "id": "text"
    },
    "businessTransactionRef": {
      "id": "text"
    },
    "suppressBookings": false,
    "description": "text"
  },
  "createLedgerAssignment": true
}
200

OK

{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "runState": "PROCESSING",
  "dateFrom": "2026-01-01",
  "dateTo": "2026-01-01",
  "files": [],
  "persons": [],
  "stateSummary": [],
  "exportTypes": [
    "SALES_DOCUMENTS"
  ],
  "bankAccountRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "salesChannelRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "financeBookingBackendRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  }
}
post
Path parameters
idinteger · int64Required

id of booking run

Responses
200

OK

*/*
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

runStatestring · enumRead-onlyOptional

Verarbeitungsstatus

Possible values:
dateFromstring · dateRead-onlyOptional

Request date from

dateTostring · dateRead-onlyOptional

Request date to

post/erp/finance/booking/{id}/committable
POST /erp/finance/booking/{id}/committable HTTP/1.1
Host: api.example.com
Accept: */*
200

OK

{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "runState": "PROCESSING",
  "dateFrom": "2026-01-01",
  "dateTo": "2026-01-01",
  "files": [],
  "persons": [],
  "stateSummary": [],
  "exportTypes": [
    "SALES_DOCUMENTS"
  ],
  "bankAccountRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "salesChannelRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "financeBookingBackendRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  }
}
post
Path parameters
idinteger · int64Required

id of booking run

Responses
200

OK

*/*
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

runStatestring · enumRead-onlyOptional

Verarbeitungsstatus

Possible values:
dateFromstring · dateRead-onlyOptional

Request date from

dateTostring · dateRead-onlyOptional

Request date to

post/erp/finance/booking/{id}/commit
POST /erp/finance/booking/{id}/commit HTTP/1.1
Host: api.example.com
Accept: */*
200

OK

{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "runState": "PROCESSING",
  "dateFrom": "2026-01-01",
  "dateTo": "2026-01-01",
  "files": [],
  "persons": [],
  "stateSummary": [],
  "exportTypes": [
    "SALES_DOCUMENTS"
  ],
  "bankAccountRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "salesChannelRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "financeBookingBackendRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  }
}
post
Body
dateFromstring · dateOptional

Datum von

dateTostring · dateOptional

Datum bis

Responses
200

OK

*/*
contextstringOptional

message context

messageValuestringOptional

message

post/erp/finance/booking/singlerun
POST /erp/finance/booking/singlerun HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 144

{
  "dateFrom": "2026-01-01",
  "dateTo": "2026-01-01",
  "exportTypes": [
    "SALES_DOCUMENTS"
  ],
  "bankAccountRef": {
    "id": "text"
  },
  "salesChannelRef": {
    "id": "text"
  }
}
200

OK

{
  "context": "text",
  "messageValue": "text"
}
get
Path parameters
idinteger · int64Required

id of booking run

Responses
200

OK

*/*
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

runStatestring · enumRead-onlyOptional

Verarbeitungsstatus

Possible values:
dateFromstring · dateRead-onlyOptional

Request date from

dateTostring · dateRead-onlyOptional

Request date to

get/erp/finance/booking/{id}
GET /erp/finance/booking/{id} HTTP/1.1
Host: api.example.com
Accept: */*
200

OK

{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "runState": "PROCESSING",
  "dateFrom": "2026-01-01",
  "dateTo": "2026-01-01",
  "files": [],
  "persons": [],
  "stateSummary": [],
  "exportTypes": [
    "SALES_DOCUMENTS"
  ],
  "bankAccountRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "salesChannelRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "financeBookingBackendRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  }
}
get
Path parameters
idinteger · int64Required

id of document

Responses
200

OK

*/*
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

recordNumberinteger · int64Optional

record number

journalTypestring · enumOptional

Journaltyp

Possible values:
get/erp/finance/booking/check/document/{id}
GET /erp/finance/booking/check/document/{id} HTTP/1.1
Host: api.example.com
Accept: */*
200

OK

{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "recordNumber": 1,
  "records": [],
  "originatingObject": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "journalType": "SALES_INVOICE"
}
get
Responses
200

OK

*/*
booleanOptional
get/erp/finance/booking/check
GET /erp/finance/booking/check HTTP/1.1
Host: api.example.com
Accept: */*
200

OK

true

Last updated

Was this helpful?